# dkim_get_msgdate()

[back to index]

SYNOPSIS

    #include <dkim.h>

    uint64_t dkim_get_msgdate(
    	DKIM *dkim
    );

Retrieve the value of a message's Date: header field.

DESCRIPTION

Called When | `dkim_get_msgdate()` can be called at any time after end-of-headers has been reached (i.e. `dkim_eoh()` has been called).

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`0` | A Date: header field was not found, or one was found but could not be parsed, or the feature was not enabled when the DKIM library was compiled.
otherwise | A UNIX `time_t` translation of the value of the Date: header field, returned as a 64-bit quantity.

NOTES

- Presumes the provided Date: header field is in standard format.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.